purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Ide.Error

Description

Error types for psc-ide

# Documentation

data IdeError #

Constructors

GeneralError Text |
NotFound Text |
ModuleNotFound ModuleIdent |
ModuleFileNotFound ModuleIdent |
RebuildError [(FilePath, Text)] MultipleErrors |

#### Instances

Instances details

ToJSON IdeError # |
Instance details Defined in Language.PureScript.Ide.Error Methods toJSON :: IdeError -> Value # toEncoding :: IdeError -> Encoding # toJSONList :: [IdeError] -> Value # toEncodingList :: [IdeError] -> Encoding # omitField :: IdeError -> Bool #
Show IdeError # |
Instance details Defined in Language.PureScript.Ide.Error Methods showsPrec :: Int -> IdeError -> ShowS # show :: IdeError -> String # showList :: [IdeError] -> ShowS #

prettyPrintTypeSingleLine :: Type a -> Text #